Name: sitecopy
Summary: sitecopy is for easily maintaining remote web sites.
Summary(ja): sitecopy はリモートでのウェブサイトの管理を楽にします。
Version: 0.16.6
Release: 3%{?_dist_release}

License: GPLv2+
Group: Applications/Internet
URL: http://www.manyfish.co.uk/sitecopy/

Source0: http://www.manyfish.co.uk/sitecopy/%{name}-%{version}.tar.gz
Patch0: configure-%{version}.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: neon-devel

Vendor: Project Vine
Distribution: Vine Linux

%description
sitecopy is for easily maintaining remote web sites. The program will 
upload files to the server which have changed locally, and delete files 
from the server which have been removed locally, to keep the remote 
site synchronized with the local site with a single command.

%description -l ja
sitecopy はリモートでのウェブサイトの管理を楽にします。
たったひとつのコマンドでローカルのホストで更新のあったファイルや、削除された
ファイルをサーバ上のファイルに反映させる事により常にローカルホストとサーバを
同調させることが出来ます。

%prep
%setup -q
%patch0 -p1 -b .configure

# Forcibly prevent use of bundled neon/expat/gettext sources.
rm -r lib/neon/*.[ch] intl/*.[ch]

%build
%configure --with-neon
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# remove unpacked files
rm -rf $RPM_BUILD_ROOT%{_prefix}/doc
rm -rf $RPM_BUILD_ROOT%{_mandir}/fr

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS README THANKS TODO
%doc doc/update.sh
%{_bindir}/sitecopy
#%{_mandir}/*/man1/sitecopy.1.gz
%{_mandir}/man1/sitecopy.1.gz
%{_datadir}/sitecopy

%changelog
* Tue Nov 11 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.16.6-3
- updated Patch0

* Mon May 09 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.16.6-2
- add Patch0 (sitecopy-neon-0.29-vine.patch)

* Thu Mar 24 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.16.6-1
- updated to 0.16.6
- updated URL
- rebuilt with new toolchains

* Sat Oct 11 2008 Shu KONNO <owa@bg.wakwak.com> 0.16.1-1vl5
- applied new versioning policy, spec in utf-8

* Sun Mar 12 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.16.1-0vl1
- new upstream release
- added BuildRequires: neon-devel, zlib-devel

* Thu Jun 16 2005 TOSHI <toshi-52@s5.dion.ne.jp> 0.15.1-0vl2
-add %doc
-A revision %files

* Sun May 22 2005 TOSHI <toshi-52@s5.dion.ne.jp> 0.15.1-0vl1
-First Update!
- initial build for Vine Linux


# end of file

